<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" indent="no" encoding="utf-8" media-type="text/xhtml"/>

	<xsl:variable name="bug-id" select="236596"/>
	<xsl:variable name="bug-id-aka" select="253992"/>

  <xsl:template match="/Test">
    <xsl:choose>
      <xsl:when test="@type='frame'">
        <html>
          <head>
            <title>Testcase (BugZilla #<xsl:value-of select="$bug-id"/> aka #<xsl:value-of select="$bug-id-aka"/>)</title>
          </head>
          <frameset rows="*,*" framespacing="0" frameborder="0">
            <frame src="upper.xml" name="upper" scrolling="auto" noresize="noresize" frameborder="0"/>
            <frame src="lower.xml" name="lower" scrolling="auto" noresize="noresize" frameborder="0"/>
            <noframes>
              Frames are required to display this page
            </noframes>
          </frameset>
        </html>        
      </xsl:when>
      <xsl:otherwise>        
        <html>
          <head/>
          <body>
          	<xsl:if test="@name='upper'">
	            <h3>Testcase for ...</h3>
	            <em>form element cannot get focus when loaded by XML/XSL page</em><p/>
              See Bugzilla <a href="http://bugzilla.mozilla.org/show_bug.cgi?id={$bug-id}" target="_blank">#<xsl:value-of select="$bug-id"/></a>
              aka <a href="http://bugzilla.mozilla.org/show_bug.cgi?id={$bug-id-aka}"
                     target="_blank">#<xsl:value-of select="$bug-id-aka"/></a>
		        </xsl:if>
            <h4><xsl:value-of select="@title"/></h4>            	        
            <form name="testForm" action="{@name}.xml">
							<textarea name="testText" cols="80" rows="4"
                        onclick="window.focus();this.focus();">Keyboard input will NOT work in this textarea until its surrounding
frame has been reloaded (by pressing the corresponding submit-button).
ByTheWay: How many rows did you expect?</textarea>
              <br/><input type="submit" name="reload (submit)" value="reload (submit)"/>
            </form>
          </body>
        </html>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
</xsl:stylesheet>
